%define major	1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           mtdev
Version:        1.1.6
Release:        %mkrel 2
License:        MIT
Summary:        Kernel multi-touch transformation library
Url:            http://edge.launchpad.net/mtdev
Group:          System/Libraries
Source0:        http://bitmath.org/code/%{name}/%{name}-%{version}.tar.bz2

%description
The mtdev library transforms all variants of kernel MT (multi-touch) events to
the slotted type B protocol. The events put into mtdev may be from any MT
device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking. See the kernel documentation for
further details.

%package -n %{libname}
Summary:        Kernel multi-touch transformation library
Group:          System/Libraries

%description -n %{libname}
The mtdev library transforms all variants of kernel MT (multi-touch) events to
the slotted type B protocol. The events put into mtdev may be from any MT
device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking. See the kernel documentation for
further details.

%package -n %{develname}
Summary:        Development files for mtdev
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The mtdev library transforms all variants of kernel MT (multi-touch) events to
the slotted type B protocol. The events put into mtdev may be from any MT
device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking. See the kernel documentation for
further details.

This package provides the development files for mtdev.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure \
  --disable-static
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete

%files
%doc ChangeLog README COPYING
%{_bindir}/mtdev-test

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/mtdev*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 1.1.6-2.mga8
+ Revision: 1546433
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 1.1.6-1.mga8
+ Revision: 1486509
- new version: 1.1.6
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.5-7.mga7
+ Revision: 1299637
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.1.5-6.mga7
+ Revision: 1234058
- use new make macros
- fix build on aarch64

* Fri Feb 05 2016 umeabot <umeabot> 1.1.5-5.mga6
+ Revision: 938311
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.5-4.mga5
+ Revision: 740685
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.5-3.mga5
+ Revision: 727366
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.5-2.mga5
+ Revision: 682678
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 luigiwalser <luigiwalser> 1.1.5-1.mga5
+ Revision: 602674
- 1.1.5

* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-2.mga4
+ Revision: 533840
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 luigiwalser <luigiwalser> 1.1.4-1.mga4
+ Revision: 475637
- 1.1.4
- fix source URL

* Sat Jan 12 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 360471
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 tv <tv> 1.1.3-1.mga3
+ Revision: 307767
- new release

* Thu May 31 2012 tv <tv> 1.1.2-1.mga3
+ Revision: 252054
- use %%mkrel
- imported package mtdev


* Sun May 13 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.2-2
+ Revision: 798568
- rebuild

* Sat Mar 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.2-1
+ Revision: 783809
- version update 1.1.2

* Tue Nov 01 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.1.0-1
+ Revision: 708246
- imported package mtdev

